EjbRefTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.dd.EjbRefTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.dd
Class EjbRefTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.EjbTagsHandler
                  xdoclet.modules.ejb.dd.EjbRefTagsHandler

Deprecated. please use `EnvEjbRefTagsHandler`

public class EjbRefTagsHandler
extends EjbTagsHandler

Version:
  $Revision 1.1 $
Author:
  Ara Abrahamian
xdoclet.taghandler
  namespace="EjbRef"
created
  Oct 16, 2001
To do:
  refactor ejbRefId properly to account for ejb:bean - it may not be needed anymore., refactor storeReferringClassId properly to take ejb:bean into account - may not be needed anymore.

Field Summary
`protected String` | `referringClassId` Deprecated. The id of the EJB referencing another EJB, used for setting up a correct unique id for the ejb-ref.

Fields inherited from class xdoclet.modules.ejb.EjbTagsHandler
`ALL, LOCAL_SUFFIX, SERVICE_ENDPOINT, SERVICE_ENDPOINT_SUFFIX`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`EjbRefTagsHandler()` Deprecated.

Method Summary
`String` | `ejbRefId()` Deprecated. Returns unique id for the specified ejb-ref.
`String` | `ejbRefJndiName()` Deprecated. Returns the global JNDI name for the current EJB ref.
`protected xjavadoc.XClass` | `findEjb(String ejbName)` Deprecated. Finds and returns the class with the specified ejbName.
`void` | `forAllEjbRefs(String template, Properties attributes)` Deprecated. Evaluates the body block for each ejb:ejb-ref defined for the EJB.
`void` | `ifLocalEjbRef(String template)` Deprecated. Generates code if the ejb-ref is local
`void` | `ifRemoteEjbRef(String template)` Deprecated. Generates code if the ejb-ref is local
`protected boolean` | `isLocalEjbRef(xjavadoc.XTag ejbRefTag)` Deprecated. Return true if the ejb-ref is local
`protected boolean` | `isRemoteEjbRef(xjavadoc.XTag ejbRefTag)` Deprecated. Return true if the ejb-ref is remote
`protected void` | `storeReferringClassId()` Deprecated. Stores the id of current EJB for further use by other tags in referringClassId attribute.

Methods inherited from class xdoclet.modules.ejb.EjbTagsHandler
`beanType, choosePackage, concreteFullClassName, ejbExternalRefName, ejbName, ejbRefName, ejbRefName, extendsFromFor, forAllBeans, getDependentClassFor, getDependentClassTagName, getEjb, getEjbIdFor, getEjbNameFor, getEjbSpec, getShortEjbNameFor, hasTransaction, id, ifIsAConcreteEJBean, ifLocalEjb, ifNotLocalEjb, ifNotRemoteEjb, ifNotServiceEndpointEjb, ifRemoteEjb, ifServiceEndpointEjb, isAConcreteEJBean, isEjb, isLocalEjb, isOnlyLocalEjb, isOnlyRemoteEjb, isOnlyServiceEndpointEjb, isRemoteEjb, isServiceEndpointEjb, prefixWithEjbSlash, shortEjbName, shouldTraverseSuperclassForDependentClass, symbolicClassName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### referringClassId

    protected transient String referringClassId

  Deprecated.
  The id of the EJB referencing another EJB, used for setting up a correct unique id for the ejb-ref.

  See Also:
    `ejbRefId()`, `forAllEjbRefs(java.lang.String,java.util.Properties)`, `storeReferringClassId()`

Constructor Detail

### EjbRefTagsHandler

    public EjbRefTagsHandler()

  Deprecated.

Method Detail

### ejbRefId

    public String ejbRefId()
                    throws XDocletException

  Deprecated.
  Returns unique id for the specified ejb-ref. It prefixes it with the referring class's id, then a _ and the id of the ejb object.

  Returns:
    Description of the Returned Value
  Throws:
    `XDocletException`
  doc.tag
    type="content"
  To do:
    refactor this properly to account for ejb:bean - it may not be needed anymore.

### forAllEjbRefs

    public void forAllEjbRefs(String template,
                              Properties attributes)
                       throws XDocletException

  Deprecated.
  Evaluates the body block for each ejb:ejb-ref defined for the EJB. One of the useful things is does is to lookup the EJB using the ejb-name parameter of ejb:ejb-ref and fill in other required info.

  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### ejbRefJndiName

    public String ejbRefJndiName()
                          throws XDocletException

  Deprecated.
  Returns the global JNDI name for the current EJB ref.

  Returns:
    The JNDI name of current EJB ref.
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### ifLocalEjbRef

    public void ifLocalEjbRef(String template)
                       throws XDocletException

  Deprecated.
  Generates code if the ejb-ref is local

  Parameters:
    `template` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### ifRemoteEjbRef

    public void ifRemoteEjbRef(String template)
                        throws XDocletException

  Deprecated.
  Generates code if the ejb-ref is local

  Parameters:
    `template` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### isLocalEjbRef

    protected boolean isLocalEjbRef(xjavadoc.XTag ejbRefTag)
                             throws XDocletException

  Deprecated.
  Return true if the ejb-ref is local

  Parameters:
    `ejbRefTag` -
  Returns:
    true if the ejb-ref is local otherwise false
  Throws:
    `XDocletException`

### isRemoteEjbRef

    protected boolean isRemoteEjbRef(xjavadoc.XTag ejbRefTag)
                              throws XDocletException

  Deprecated.
  Return true if the ejb-ref is remote

  Parameters:
    `ejbRefTag` -
  Returns:
    true if the ejb-ref is remote otherwise false
  Throws:
    `XDocletException`

### storeReferringClassId

    protected void storeReferringClassId()
                                  throws XDocletException

  Deprecated.
  Stores the id of current EJB for further use by other tags in referringClassId attribute.

  Throws:
    `XDocletException`
  To do:
    refactor this properly to take ejb:bean into account - may not be needed anymore.

### findEjb

    protected xjavadoc.XClass findEjb(String ejbName)
                               throws XDocletException

  Deprecated.
  Finds and returns the class with the specified ejbName. An XDocletException is thrown if not found.

  Parameters:
    `ejbName` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD